summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dobin
diff options
context:
space:
mode:
authorDror Levin <spatz@gentoo.org>2010-05-26 23:23:38 +0300
committerZac Medico <zmedico@gentoo.org>2010-08-12 01:39:43 -0700
commit65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c (patch)
treef7f1bd8c5215758ec7e21c8ec8eb0ba725688c63 /bin/ebuild-helpers/dobin
parentef30f84cc7e91bf777f505384dd9869606d4dc5f (diff)
downloadportage-65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c.tar.gz
portage-65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c.tar.bz2
portage-65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c.zip
Make utilities die on failure in EAPI 4, bug 273651
Diffstat (limited to 'bin/ebuild-helpers/dobin')
-rwxr-xr-xbin/ebuild-helpers/dobin5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/ebuild-helpers/dobin b/bin/ebuild-helpers/dobin
index 821ce07c3..fc0b0359f 100755
--- a/bin/ebuild-helpers/dobin
+++ b/bin/ebuild-helpers/dobin
@@ -5,12 +5,12 @@
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
if [[ $# -lt 1 ]] ; then
- vecho "$0: at least one argument needed" 1>&2
+ helpers_die "$0: at least one argument needed"
exit 1
fi
if [[ ! -d ${D}${DESTTREE}/bin ]] ; then
- install -d "${D}${DESTTREE}/bin" || exit 2
+ install -d "${D}${DESTTREE}/bin" || { helpers_die "$0: failed to install ${D}${DESTTREE}/bin"; exit 2; }
fi
ret=0
@@ -25,4 +25,5 @@ for x in "$@" ; do
((ret|=$?))
done
+[[ $ret -ne 0 ]] && helpers_die "$0 failed"
exit ${ret}